{capture assign=refund_fieldset}
	<style>
		.axepta_info_amount {
			float:right;
			text-align:right
		}
	</style>
	<div class="well">
		<h3>{l s='Make a refund' mod='axepta'}</h3>
		<div class="row">
            {if isset($axepta_refund_error) && $axepta_refund_error}
				<br/>
				<div style="margin-top:15px" class="alert alert-danger">
					<p class="error">{$axepta_refund_error|escape:'htmlall':'UTF-8'}</p>
				</div>
            {/if}
            {if isset($axepta_refund_message) && $axepta_refund_message}
				<div style="margin-top:15px" class="alert alert-success">
					<p>{$axepta_refund_message}</p>
				</div>
            {/if}
			<div class="axepta_info_amount">
				<p>{l s='Amount submitted to refund' mod='axepta'}: {$axepta_submit_to_refund_amount}</p>
				<p>{l s='Amount refunded' mod='axepta'}: {$axepta_refunded_amount}</p>
			</div>
			<form action="" method="post"
			      onsubmit="return confirm('{l s='Do you really want to submit the refund request?' mod='axepta'}');">

				<div class="form-group row type-text_with_length_counter js-text-with-length-counter">
					<label for="axepta_refund_amount" class="form-control-label label-on-top col-12">
                        {l s='Insert amount to refund' mod='axepta'}
					</label>

					<div class="col-12">
						<div class="input-group js-text-with-length-counter">
							<input type="text" class="form-control" id="axepta_refund_amount"
							       name="axepta_refund_amount" value=""
							       placeholder="{$axepta_amount_refundable}">
						</div>
					</div>
				</div>

				<div class="text-right">
					<button name="axepta_submit_refund" disabled type="submit" class="btn btn-primary"
					        id="axepta_submit_refund" value="1">
                        {l s='Perform a refund' mod='axepta'}
					</button>

				</div>
			</form>
		</div>

	</div>
{/capture}
<script>
	$(document).ready(function () {
		$("{$refund_fieldset|escape:'javascript':'UTF-8'}").insertAfter($('.panel-heading').first());

		$('#axepta_refund_amount').on('keyup change', function () {

			$('#axepta_submit_refund').prop('disabled', isNaN($(this).val()) || $(this).val() <= 0
				|| $(this).val() > {$axepta_amount_refundable}
			);
		});
	});
</script>

